Bug 421731 - Inkscape 0.45.1-1 x86_64 fails to open: segmentation fault
Inkscape 0.45.1-1 x86_64 fails to open: segmentation fault
Status: CLOSED WORKSFORME
Product: Fedora EPEL
Classification: Fedora
Component: inkscape (Show other bugs)
el5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 10:04 EST by Dominik 'Rathann' Mierzejewski
Modified: 2007-12-18 08:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 08:58:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
inkscape crash gdb log (68.06 KB, text/plain)
2007-12-12 10:04 EST, Dominik 'Rathann' Mierzejewski
no flags Details

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2007-12-12 10:04:10 EST
Description of problem:
Inkscape segfaults right after showing its main window.
I tried updating to gc-7.0-6 from F-7 SRPM, per bug 248700, but there's no change.

Version-Release number of selected component (if applicable):
inkscape-0.45.1-1.el5.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Build inkscape from F-7 SRPM along with its dependencies.
2. Run it.
  
Actual results:
% inkscape

Emergency save activated!
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at www.inkscape.org
with a detailed description of the steps leading to the crash, so we can fix it.
Segmentation fault


Expected results:
It should run normally.

Additional info:
% gdb inkscape
GNU gdb Red Hat Linux (6.5-25.el5rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Using host libthread_db
library "/lib64/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/inkscape 
[Thread debugging using libthread_db enabled]
[New Thread 46912681624016 (LWP 32378)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 46912681624016 (LWP 32378)]
0x00000000005b6941 in Snapper (this=0x1819fcc0, nv=0x7fff55311950, d=<value
optimized out>) at snapper.cpp:25
25          g_assert(SP_IS_NAMEDVIEW(_named_view)
(gdb) 

Full gdb log attached.
Comment 1 Dominik 'Rathann' Mierzejewski 2007-12-12 10:04:10 EST
Created attachment 285771 [details]
inkscape crash gdb log
Comment 2 Denis Leroy 2007-12-12 10:31:46 EST
Where did you get that SRPM ? inkscape has not been released on EL-5 yet! :-)
Comment 3 Dominik 'Rathann' Mierzejewski 2007-12-12 13:36:06 EST
(In reply to comment #2)
> Where did you get that SRPM ? inkscape has not been released on EL-5 yet! :-)

I know and I wrote it in my original submission:

(Quote comment #0)
> Steps to Reproduce:
> 1. Build inkscape from F-7 SRPM along with its dependencies.
                         ^^^^^^^^
Comment 4 Denis Leroy 2007-12-12 16:00:25 EST
Ah sorry. Will look into it, I'm barely getting started porting to EL-4 and EL-5.
Comment 5 Denis Leroy 2007-12-12 21:26:54 EST
Can you try the current EL-5 branch svn ? That's working for me on RHEL 5.1 x86_64.
Comment 6 Denis Leroy 2007-12-13 08:58:51 EST
Should be in epel-testing. Please reopen if you're still having problems.
Comment 7 Dominik 'Rathann' Mierzejewski 2007-12-18 08:23:46 EST
Confirmed working. Thanks for the quick resolution. I wonder what I did wrong
when building.

Note You need to log in before you can comment on or make changes to this bug.